Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::NullMutex Class Reference

`#include <NullMutex.h>`

Inheritance diagram for ZThread::NullMutex::

List of all members.

## Public Methods
| NullMutex () throw (Synchronization_Exception)
virtual | ~NullMutex () throw ()
virtual void | acquire () throw (Synchronization_Exception)
virtual bool | tryAcquire (unsigned long) throw (Synchronization_Exception)
virtual void | release () throw (Synchronization_Exception)

## Detailed Description

Author:
  Eric Crahen

Version:
  1.3.1

Date:
  03-18-2001

This is an empty Mutex implementation. All the methods return immediately without performing any operation. This is used to perform some types of testing, but has no use in practice.

## Constructor & Destructor Documentation

NullMutex ( | ) throw (Synchronization_Exception)`[inline]`

  | Allocate a new mutex Exceptions:
  Initialization_Exception | - thrown if there are not enough available resources

~NullMutex ( | ) throw ()`[inline, virtual]`

| Destroy this Mutex object

## Member Function Documentation

void acquire ( | ) throw (Synchronization_Exception)`[inline, virtual]`

  | Null implementation Exceptions:
  Synchronization_Exception | - never thrown
Reimplemented from ZThread::Lockable.

void release ( | ) throw (Synchronization_Exception)`[inline, virtual]`

  | Null implementation Exceptions:
  Synchronization_Exception | - never thrown
Reimplemented from ZThread::Lockable.

bool tryAcquire ( | unsigned long timeout ) throw (Synchronization_Exception)`[inline, virtual]`

  | Null implementation Parameters:
  unsigned | long - not used
  Exceptions:
  Synchronization_Exception | - never thrown
  Parameters:
  timeout |
Reimplemented from ZThread::Lockable.

The documentation for this class was generated from the following file:

- NullMutex.h